### Method

# Gtk Scaleset_format_value_func

#### Declaration [src]

    void
    gtk_scale_set_format_value_func (
      GtkScale* scale,
      GtkScaleFormatValueFunc func,
      gpointer user_data,
      GDestroyNotify destroy_notify
    )

#### Description [src]

`func` allows you to change how the scale value is displayed.

The given function will return an allocated string representing `value`. That string will then be used to display the scale’s value.

If `NULL` is passed as `func`, the value will be displayed on its own, rounded according to the value of the `GtkScale:digits` property.

#### Parameters

`func`

  Type: `GtkScaleFormatValueFunc`

  Function that formats the value.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_notify`

  Type: `GDestroyNotify`

  Destroy function for `user_data`.

  The argument can be `NULL`.